Subject: Re: [PATCH v2] powerpc: Append linux_banner to exception information in xmon.

From: Stewart Smith <[email-masked]>
Date: Thu, 03 Dec 2015 09:43:33 +1100

Rashmica Gupta <[email-masked]> writes:
> Currently if you are in xmon without an oops etc. to view the kernel
> version you have to type "d $linux_banner" - not necessarily obvious. As
> this is useful information, append to the output of "e" command.
>
> Example output:
> $mon> e
> cpu 0x1: Vector: 0  at [c0000000f879ba80]
>     pc: c000000000081718: sysrq_handle_xmon+0x68/0x80
>     lr: c000000000081718: sysrq_handle_xmon+0x68/0x80
>     sp: c0000000f879bbe0
>    msr: 8000000000009033
>   current = 0xc0000000f604d5c0
>   paca    = 0xc00000000fdc0480	 softe: 0	 irq_happened: 0x01
>     pid   = 2467, comm = bash
> Linux version 4.4.0-rc2-00008-gc51af91c3ab3-dirty (rashmica@circle) (gcc
> version 5.1.1 20150629 (GCC) ) #45 SMP Wed Nov 25 10:25:12 AEDT 2015
>
> Signed-off-by: Rashmica Gupta <[email-masked]>

+10,245,789

Acked-by: Stewart Smith <[email-masked]>

If I had a dollar for every time this would have helped *this morning*,
I'd at least be buying you enough coffee for it to be problematic.

I'd be keen in it heading to stable@ fixing the actual problem of
"people can't actually include the damn kernel version in their bug
report" - but maybe somebody else can work out if this is something
that's likely to be accepted.